Recommended nuclear structure data for MARLEY
=============================================

Revised 23 April 2020 by S. Gardiner

Introduction
------------

This directory contains the nuclear structure data recommended for use with the
MARLEY event generator. The data for potassium-40 are based on the 2017
[ENSDF](https://www.nndc.bnl.gov/ensdf/) evaluation for A = 40 (see the
[paper](https://doi.org/10.1016/j.nds.2017.02.001) for details). Data for all
other nuclides included in this collection are taken from files that were
originally produced by A. Koning, S. Hilaire, and M. Duijvestijn for use with
the nuclear code TALYS-1.6. The original versions (in a different format)
appear in the TALYS tar.gz file under the directory
`talys/structure/levels/exp/`. For information about TALYS, please see
[http://talys.eu](http://talys.eu).

Citations
------------

If you use these data in published calculations, please give proper attribution
to the TALYS developers. This can be done by citing the following reference:

A.J. Koning, S. Hilaire and M.C. Duijvestijn, "TALYS-1.0", Proceedings of the
International Conference on Nuclear Data for Science and Technology, April
22-27, 2007, Nice, France, editors O. Bersillon, F. Gunsing, E. Bauge, R.
Jacqmin, and S. Leray, EDP Sciences, 2008, pp. 211-214.

For convenience, a BibTeX-format citation for the reference above is provided
in the file [TALYS-CITATION.bib](TALYS-CITATION.bib)

License
-------

Like the MARLEY code itself, these data are distributed under the terms of the
[GNU General Public
License](http://www.gnu.org/licenses/gpl-3.0-standalone.html), version 3.
